com.holonplatform.vaadin.flow.components

## Interface ItemListing.ItemListingCell

- Enclosing interface:
    ItemListing<T,P>

      public static interface ItemListing.ItemListingCell

  An `ItemListing` section row cell handler.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setComponent(com.vaadin.flow.component.Component component)` Sets the component as the content of this cell.
    `void` | `setText(com.holonplatform.core.i18n.Localizable text)` Sets the localizable text content of this cell.
    `default void` | `setText(String text)` Sets the text content of this cell.
    `default void` | `setText(String defaultText, String messageCode, Object... arguments)` Sets the text content of this cell using a localizable `messageCode`.

- - ### Method Detail

    - #### setText

          void setText(com.holonplatform.core.i18n.Localizable text)

      Sets the localizable text content of this cell.

      This will remove a component set with `setComponent(Component)`.

      Parameters:
        `text` - the localizable text to be shown in this cell
      See Also:
        `LocalizationProvider`

    - #### setText

          default void setText(String text)

      Sets the text content of this cell.

      This will remove a component set with `setComponent(Component)`.

      Parameters:
        `text` - the text to be shown in this cell

    - #### setText

          default void setText(String defaultText,
                               String messageCode,
                               Object... arguments)

      Sets the text content of this cell using a localizable `messageCode`.

      This will remove a component set with `setComponent(Component)`.

      Parameters:
        `defaultText` - Default text content if no translation is available for given `messageCode`.
        `messageCode` - Text translation message key
        `arguments` - Optional translation arguments
      See Also:
        `LocalizationProvider`

    - #### setComponent

          void setComponent(com.vaadin.flow.component.Component component)

      Sets the component as the content of this cell.

      This will remove text set with `setText(String)`.

      Parameters:
        `component` - the component to set

Copyright © 2019 The Holon Platform. All rights reserved.